function [classes, outputs] = perceptron_test(X, perceptron)
%% function [classes, outputs] = perceptron_test(X, perceptron)
%%
%% Computes the classes predicted by a perceptron, together with
%% the values of $<w,X>$ for each text point
%%
%% INPUT
%% -----
%% X: test data, one example per row
%% perceptron: a perceptron structure cf. perceptron_train
%%
%% OUTPUT
%% ------
%% classes: the classes that are predicted 
%% outputs: the outputs values w,X
%%
%% Author: L. Ralaivola
%% Date: Mar. 9, 2012
dim = size(X, 2);

if(dim ~= size(perceptron.w, 1))
    printf('problem in perceptron_test: dimensions mismatch\n');
    exit(1);
end

outputs = X * perceptron.w + perceptron.b;
classes = sign(outputs);
end